﻿.mud-grid.custom-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
    align-items: stretch;
    justify-items: stretch;
}

.mud-grid.custom-grid .mud-grid-item {
    max-width: none;
}

@media (min-width: 0px) {
    .mud-grid.custom-grid {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (min-width: 600px) {
    .mud-grid.custom-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .mud-grid.custom-grid.drawer-open {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (min-width: 960px) {
    .mud-grid.custom-grid {
        grid-template-columns: repeat(3, 1fr);
    }

    .mud-grid.custom-grid.drawer-open {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1280px) {
    .mud-grid.custom-grid {
        grid-template-columns: repeat(4, 1fr);
    }

    .mud-grid.custom-grid.drawer-open {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 1920px) {
    .mud-grid.custom-grid {
        grid-template-columns: repeat(6, 1fr);
    }

    .mud-grid.custom-grid.drawer-open {
        grid-template-columns: repeat(5, 1fr);
    }
}

@media (min-width: 2560px) {
    .mud-grid.custom-grid {
        grid-template-columns: repeat(7, 1fr);
    }

    .mud-grid.custom-grid.drawer-open {
        grid-template-columns: repeat(6, 1fr);
    }
}

.custom-grid .mud-icon-root {
    height: 36px;
    width: 36px;
    overflow: visible;
}

.custom-grid .mud-button-root.mud-icon-button {
    height: 36px;
    width: 36px;
}

